Subject: Re: Mercurial 0.3 vs git benchmarks

From: Florian Weimer <[email-masked]>
Date: Wed, 27 Apr 2005 22:55:50 +0200

* Thomas Glanzmann:

>> Directory hashing slows down operations that do linear sweeps through 
>> the filesystem reading every single file, simply because without 
>> dir_index, there is likely to be a correlation between inode order and 
>> directory order, whereas with dir_index, readdir() returns entries in 
>> hash order.
>
> thank you for the awareness training. Than mutt should be slower, too.
> Maybe I should repeat that tests.

Benchmarks are actually a bit tricky because as far as I can tell,
once you hash the directories, they are tainted even if you mount your
file system with ext2.